function Protwarbar:UpdateIcons()
	local PWB = Protwarbar:getPWB()
	local BattleshoutID = 6673
	local BerserkerRageID = 18499

	for i = 1, PWB_ICON_COUNT do
		if PWB.db.profile.icons[i].enabled then 
			Protwarbar:updateIcon(PWB.db.profile.icons[i], PWB.iconFrames[i])
		end
	end
end

function Protwarbar:updateIcon(icon, frame)
	local PWB = Protwarbar:getPWB()
	local start, duration, enabled = GetSpellCooldown(icon.spellid);
	
	if enabled == 1 and duration > 1.5 then
		if icon.hideOnCD then
			frame.texture:SetAlpha(0)
		else
			frame.texture:SetAlpha(PWB.db.profile.iconAlpha)
		end
	else
		frame.texture:SetAlpha(1)
	end
end